package com.yihaomen.springboot.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class HelloController {

	// 注入配置文件
	@Value("${welcome.message:test}")
	private String message = "Hello, You are my world";

	@RequestMapping("/")
	public String welcome(Map<String, Object> model) {
		model.put("message", this.message);
		return "hello";
	}
	
	@RequestMapping("/say")
	@ResponseBody
	public List<String> say() {		
		List<String> list = new ArrayList<String>();
		list.add("summer");
		list.add("cool");
		return list;
	}

}
